.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
engine \- draws a 3D four-stroke engine.
.SH SYNOPSIS
.B engine
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-engine \fIname\fP]
[\-delay \fInumber\fP]
[\-no-move]
[\-no-spin]
[\-no-title]
[\-fps]
.SH DESCRIPTION
Draws a simple four-stroke engine that floats around the screen.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-engine \fIname\fP
What kind of engine to draw.  Default: random.
Known models are:
"Honda Insight" (3),
"BMW M3" (4),
"VW Beetle" (flat 4),
"Audi Quattro" (5),
"BMW M5" (6),
"Subaru XT" (V6),
"Porsche 911" (flat 6),
"Corvette Z06" (V8),
"Dodge Viper" (V10),
and
"Jaguar XKE" (V12).
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 10000 (0.01 seconds.).
.TP 8
.B \-move | \-no-move
Whether the object should wander around the screen.
.TP 8
.B \-spin | \-no-spin
Whether the object should spin.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.TP 8
.B \-title | \-no-title
Whether to display the name of the engine being rendered.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2002 by Ben Buxton.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Ben Buxton.
