.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
gears \- draw interlocking gears, for xscreensaver.
.SH SYNOPSIS
.B gears
[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
[\-visual \fIvisual\fP]
[\-delay \fIusecs\fP] 
[\-speed \fIfloat\fP] 
[\-no\-spin]
[\-no\-wander]
[-count \fIinteger\fP]
[-wireframe]
[-fps]
.SH DESCRIPTION
This draws a set of rotating gears.
.SH OPTIONS
.I gears
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-delay \fIusecs\fP
The delay between frames of the animation, in microseconds.
Default: 30000 (0.03 seconds.)
.TP 8
.B \-speed \fIfloat\fP
Larger numbers mean run faster.  Default: 1.0.
.TP 8
.B \-no\-spin
Don't rotate the object.
.TP 8
.B \-no\-wander
Don't wander the object around the screen.
.TP 8
.B \-count \fIinteger\fP
How many gears to draw.  Default: 0 for random.
.TP 8
.B \-wireframe
Render in wireframe instead of solid.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2007 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski.

An earlier version of this program by Brian Paul was written in 1997;
this version was rewritten from scratch by jwz in 2007.
