.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
marbling \- Marble-like or cloud-like patterns.
.SH SYNOPSIS
.B marbling
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-scale \fInumber\fP]
[\-iterations \fInumber\fP]
[\-fps]
.SH DESCRIPTION
This generates a random field with Perlin Noise, then permutes it with
Fractal Brownian Motion to create images that somewhat resemble clouds,
or the striations in marble, depending on the parameters selected and
the colors chosen.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 10000 (0.01 seconds).
.TP 8
.B \-scale \fInumber\fP
Scale.	1 - 30.  Default: 10.
.TP 8
.B \-iterations \fInumber\fP
Complexity.  1 - 20.  Default: 5.
.TP 8
.B \-fps | \-no-fps
Whether to show a frames-per-second display at the bottom of the screen.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2021 by Jamie Zawinski and Dave Odell.  Permission to use,
copy, modify, distribute, and sell this software and its documentation for any
purpose is hereby granted without fee, provided that the above copyright
notice appear in all copies and that both that copyright notice and this
permission notice appear in supporting documentation.  No representations are
made about the suitability of this software for any purpose.  It is provided
"as is" without express or implied warranty.
.SH AUTHOR
Jamie Zawinski and Dave Odell.
