.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
ripples \- interference patterns.
.SH SYNOPSIS
.B ripples
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-duration \fIsecs\fP]
[\-rate \fInumber\fP]
[\-fluidity \fInumber\fP]
[\-light \fInumber\fP]
[\-water]
[\-stir]
[\-oily]
[\-grayscale]
[\-colors \fInumber\fP]
[\-no-shm]
[\-fps]
.SH DESCRIPTION
This draws rippling interference patterns like splashing water. With the
-water option, it manipulates your desktop image to look like something is
dripping into it.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 50000 (0.05 seconds.).
.TP 8
.B \-duration \fIseconds\fP
How long to run before loading a new image.  Default 120 seconds.
.TP 8
.B \-rate \fInumber\fP
Drizzle.  1 - 100.  Default: 5.
.TP 8
.B \-fluidity \fInumber\fP
Small Drops.  0 - 16.  Default: 6.
.TP 8
.B \-light \fInumber\fP
Lighting Effect.  0 - 8.  Default: 0.
.TP 8
.B \-water | \-no-water
Grab Screen Image.  Boolean.
.TP 8
.B \-stir | \-no-stir
Moving Splashes.  Boolean.
.TP 8
.B \-oily | \-no-oily
Psychedelic Colors.  Boolean.
.TP 8
.B \-grayscale
Convert the screen image to grayscale.
Ignored if we don't grab the screen image or if our screen doesn't have
enough color depth.
.TP 8
.B \-colors \fInumber\fP
Colors Two.  Default: 200.
.TP 8
.B \-shm | \-no-shm
Use Shared Memory.  Boolean.
.TP 8
.B \-fps
Display the current frame rate and CPU load.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2002 by Tom Hammersley.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Tom Hammersley.
